button = {}
button.__index = button

function button.new(x, y, w, h, title, input)
    local ins = setmetatable({}, button)
    ins.x = x 
    ins.y = y 
    ins.w = w 
    ins.h = h 
    ins.title = title 
    ins.input = input 
    return ins
end

function button:update()
    self.x = button_x
    if self.title == "<" then 
        self.x = button_x + 102
    end
end

function button:press(x, y, b)
    if x > self.x -2 and x < self.x + self.w +2  and y > self.y -2 and y < self.y + self.h +2 then
        canPlace = false
        if b == 1 then 
            vInput = self.input
        end
    end
end

function button:draw()
    if pause == true and self.title == "Pause" then 
        love.graphics.setColor(1, 0.2, 0.2)
    else
        love.graphics.setColor(1,1,1)
    end
    love.graphics.rectangle("fill", self.x, self.y, self.w, self.h)
    love.graphics.setColor(0,0,0)
    love.graphics.rectangle("line", self.x, self.y, self.w, self.h)
    w = font:getWidth(self.title)
    h = font:getHeight(self.title)
    if self.title == "<" and hidden == true then 
        love.graphics.print(">", self.x + self.w / 2 - w / 2, self.y + self.h / 2 - h / 2)
    else
        love.graphics.print(self.title, self.x + self.w / 2 - w / 2, self.y + self.h / 2 - h / 2)
    end
    love.graphics.setColor(1, 1, 1)
end